Opened 17 months ago

Closed 6 months ago

#309 closed enhancement (wontfix)

Provide i686 and pentium4 builds of Qt4 libraries

Reported by: ataylor Owned by:
Priority: minor Milestone: Qt 5
Component: General Version: 4.7.3
Severity: low Keywords:
Cc:

Description

Our Qt4 libraries at present are only available (at least on public repos) for the i386 architecture.

It would be good to have builds optimized for i686 and higher, hopefully able to take advantage of newer processor's capabilities (and possibly improving performance)?

For Qt4 apps, the performance of the runtime libraries is something of a bottleneck. Building them for newer architectures might be one way of helping with this issue.

Change History (2)

comment:1 Changed 10 months ago by diver

  • Milestone changed from Qt Enhanced to Qt 5

This will most likely not happen for Qt4, as we consider that a dead end. For Qt5 both arch will be built of course

comment:2 Changed 6 months ago by diver

  • Resolution set to wontfix
  • Status changed from new to closed

Will be done with qt5.

Note: See TracTickets for help on using tickets.